Author Topic: How to find or search area in xref  (Read 2051 times)

0 Members and 1 Guest are viewing this topic.

Adesu

  • Guest
How to find or search area in xref
« on: August 24, 2006, 10:58:07 PM »
Hi Alls,
I have a problem to find/search area a rectangular in xref,now we back
to original drawing(not xref),it that a rectangular,then you check by "list" command
here that data
Code: [Select]
Command: _list
Select objects: 1 found
Select objects:
                  LWPOLYLINE  Layer: "0"
                            Space: Model space
                   Handle = 8E
            Closed
    Constant width    0.0000
              area   10000.0000
         perimeter   400.0000
          at point  X=   0.0000  Y=   0.0000  Z=   0.0000
          at point  X= 100.0000  Y=   0.0000  Z=   0.0000
          at point  X= 100.0000  Y= 100.0000  Z=   0.0000
          at point  X=   0.0000  Y= 100.0000  Z=   0.0000
; use active system
Code: [Select]
(setq ss (ssget "x"))                    ; <Selection set: a>
(setq ssn (ssname ss 0))                 ; <Entity name: 6e772f38>
(setq vveo (vlax-ename->vla-object ssn)) ; #<VLA-OBJECT IAcadExternalReference 0f5b2224>
(vlax-dump-object vveo)
; IAcadExternalReference: IAcadExternalReference Interface
; Property values:
;   Application (RO) = #<VLA-OBJECT IAcadApplication 00b9b5e4>
;   Document (RO) = #<VLA-OBJECT IAcadDocument 0f537280>
;   Handle (RO) = "A7"
;   HasAttributes (RO) = 0
;   HasExtensionDictionary (RO) = 0
;   Hyperlinks (RO) = #<VLA-OBJECT IAcadHyperlinks 0f5b3794>
;   InsertionPoint = (0.0 0.0 0.0)
;   Layer = "0"
;   Linetype = "ByLayer"
;   LinetypeScale = 1.0
;   Lineweight = -1
;   Name = "Rectangular"
;   Normal = (0.0 0.0 1.0)
;   ObjectID (RO) = 1853304632
;   ObjectName (RO) = "AcDbBlockReference"
;   OwnerID (RO) = 1853304056
;   Path = "D:\\YBI\\Drawing\\Lat\\Rectangular.dwg"
;   PlotStyleName = "Color_1"
;   Rotation = 0.0
;   TrueColor = #<VLA-OBJECT IAcadAcCmColor 0f5b4a40>
;   Visible = -1
;   XScaleFactor = 1.0
;   YScaleFactor = 1.0
;   ZScaleFactor = 1.0

T
_$
; use with lisp
Code: [Select]
(setq ss (car (entsel "\nSelect a xref object")))
(setq sse (entget ss))
<Entity name: 6e772f38>
((-1 . <Entity name: 6e772f38>)
  (0 . "INSERT")
  (330 . <Entity name: 6e772cf8>)
  (5 . "A7")
  (100 . "AcDbEntity")
  (67 . 0) (410 . "Model")
  (8 . "0") (62 . 1)
  (100 . "AcDbBlockReference")
  (2 . "Rectangular")
  (10 0.0 0.0 0.0) (41 . 1.0) (42 . 1.0) (43 . 1.0)
  (50 . 0.0)
  (70 . 0) (71 . 0)
  (44 . 0.0) (45 . 0.0)
  (210 0.0 0.0 1.0))
_$
(setq enam330 (cdr (assoc 330 sse)))
(setq sse_330 (entget enam330))
<Entity name: 6e772cf8>
((-1 . <Entity name: 6e772cf8>)
  (0 . "BLOCK_RECORD")
  (330 . <Entity name: 6e772c08>)
  (5 . "1F")
  (100 . "AcDbSymbolTableRecord")
  (100 . "AcDbBlockTableRecord")
  (2 . "*Model_Space")
  (360 . <Entity name: 6e772d00>)
  (340 . <Entity name: 6e772d10>))
_$
« Last Edit: August 24, 2006, 11:04:55 PM by Adesu »

Adesu

  • Guest
Re: How to find or search area in xref
« Reply #1 on: August 25, 2006, 03:05:22 AM »
Oops..I got it at others forum,thanks


http://discussion.autodesk.com/thread.jspa?threadID=501287



<edit: revised formatting>
« Last Edit: August 25, 2006, 08:35:45 AM by CAB »